View Form Analytics
GET
/v1/forms/{form_id}/analyticsReturns an array of analytics data for the form based on the provided date range.
Authorization
x-api-key x-team-id x-api-key<token>
In: header
x-team-id<token>
In: header
Path Parameters
form_id*string
Query Parameters
start_date*string
Format
dateend_date*string
Format
dateResponse Body
application/json
application/json
application/json
fetch("https://example.com/v1/forms/string/analytics?start_date=2019-08-24&end_date=2019-08-24", { method: "GET"})[
{
"date": "string",
"hours": {
"property1": 0,
"property2": 0
},
"countries": {
"property1": 0,
"property2": 0
},
"user_agents": {
"property1": 0,
"property2": 0
},
"referers": {
"property1": 0,
"property2": 0
}
}
]{
"errors": [
{
"path": "string",
"expected": "string"
}
],
"message": "string"
}{
"message": "string"
}Get File GET
Retrieve a file by ID. You should always excercise extreme caution when working with files that don't come from a trusted source.
Get Usage Information GET
Usage may be cached for up to 60 seconds. This endpoint is primarily used for internal purposes to present data in the [dashboard](https://vexrun.com/dashboard). However, documentation is provided in case you have an external use case for it.